# DataExchange
TKVRML
Vrml

# Vrml_NormalBinding Class Reference

defines a NormalBinding node of VRML specifying properties of geometry
and its appearance.
This node specifies how the current normals are bound to shapes that follow in the scene
graph. Each shape node may interpret bindings differently.
The bindings for faces and vertices are meaningful only for shapes that are made from
faces and vertices. Similarly, the indexed bindings are only used by the shapes that allow
indexing. For bindings that require multiple normals, be sure to have at least as many
normals defined as are necessary; otherwise, errors will occur.

`#include <Vrml_NormalBinding.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_NormalBinding (const Vrml_MaterialBindingAndNormalBinding aValue)
Standard_EXPORT | Vrml_NormalBinding ()
Standard_EXPORT void | SetValue (const Vrml_MaterialBindingAndNormalBinding aValue)
Standard_EXPORT Vrml_MaterialBindingAndNormalBinding | Value () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Vrml_MaterialBindingAndNormalBinding | myValue

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_NormalBinding::Vrml_NormalBinding | ( | const Vrml_MaterialBindingAndNormalBinding | aValue | ) |

Standard_EXPORT Vrml_NormalBinding::Vrml_NormalBinding | ( |  | ) |

## Member Function Documentation

void Vrml_NormalBinding::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_NormalBinding::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_NormalBinding::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_NormalBinding::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_NormalBinding::SetValue | ( | const Vrml_MaterialBindingAndNormalBinding | aValue | ) |

Standard_EXPORT Vrml_MaterialBindingAndNormalBinding Vrml_NormalBinding::Value | ( |  | ) | const

## Field Documentation

Vrml_MaterialBindingAndNormalBinding Vrml_NormalBinding::myValue `[private]`

The documentation for this class was generated from the following file:

- Vrml_NormalBinding.hxx